## pipectl 0.4.2

=== debian/changelog ===
pipectl (0.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 23 Mar 2024 16:02:06 +0100

pipectl (0.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #1065249)

 -- Birger Schacht <birger@debian.org>  Sat, 02 Mar 2024 09:21:08 +0100

## pipectl 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

project(pipectl C)

# options
option(INSTALL_DOCUMENTATION "install wl-mirror manual pages" OFF)

# manual pages
add_subdirectory(man)
if (${BUILD_DOCUMENTATION})
    build_scdoc_man_page(pipectl 1)
endif()

# main target
file(GLOB sources src/*.c)
add_executable(pipectl ${sources})
target_compile_options(pipectl PRIVATE -Wall -Wextra)

# installation rules
include(GNUInstallDirs)

install(TARGETS pipectl DESTINATION "${CMAKE_INSTALL_BINDIR}")

if (${INSTALL_DOCUMENTATION})
    install_scdoc_man_page(pipectl 1)
endif()

=== man/CMakeLists.txt ===
# check if documentation must be built
if (${INSTALL_DOCUMENTATION})
    set(SCDOC_REQUIRED REQUIRED)
else()
    set(SCDOC_REQUIRED)
endif()

# determine if documentation can be built
find_program(SCDOC scdoc ${SCDOC_REQUIRED})
if (SCDOC)
    set(BUILD_DOCUMENTATION ON PARENT_SCOPE)
else()
    set(BUILD_DOCUMENTATION OFF PARENT_SCOPE)
endif()

function(build_scdoc_man_page name section)
    file(MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/man/")
    set(man-src "${CMAKE_SOURCE_DIR}/man/${name}.${section}.scd")
    set(man-bin "${CMAKE_BINARY_DIR}/man/${name}.${section}")
    add_custom_command(
        OUTPUT "${man-bin}"
        COMMAND scdoc < "${man-src}" > "${man-bin}"
    )
    add_custom_target(gen-man-${name}-${section} ALL DEPENDS "${man-bin}")
endfunction()

function(install_scdoc_man_page name section)
    set(man-bin "${CMAKE_BINARY_DIR}/man/${name}.${section}")
    install(FILES "${man-bin}" DESTINATION "${CMAKE_INSTALL_MANDIR}/man${section}/")
endfunction()

=== debian/changelog ===
pipectl (0.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 13 Jul 2024 14:48:59 +0200

## pipectl 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(pipectl C)
 
 # options
-option(INSTALL_DOCUMENTATION "install wl-mirror manual pages" OFF)
+option(INSTALL_DOCUMENTATION "install pipectl manual pages" OFF)
 
 # manual pages
 add_subdirectory(man)

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
     set(man-bin "${CMAKE_BINARY_DIR}/man/${name}.${section}")
     add_custom_command(
         OUTPUT "${man-bin}"
+        MAIN_DEPENDENCY "${man-src}"
         COMMAND scdoc < "${man-src}" > "${man-bin}"
     )
     add_custom_target(gen-man-${name}-${section} ALL DEPENDS "${man-bin}")

=== debian/changelog ===
pipectl (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 01 Mar 2025 20:35:08 +0100

=== debian/control ===
Source: pipectl
Section: utils
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (=13),
               cmake,
               scdoc
Standards-Version: 4.6.2
Homepage: https://github.com/Ferdi265/pipectl
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/pipectl
Vcs-Git: https://salsa.debian.org/debian/pipectl.git

Package: pipectl
Multi-Arch: foreign
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple named pipe management utility
 pipectl is a tool to create and manage short-lived named pipes that can be
 used to e.g. control a longer-lived program using short commands from
 elsewhere in the system without needing a complex IPC mechanism such as UNIX
 domain sockets.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_DOCUMENTATION=ON

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Ferdi265/pipectl refs/tags/v?(\d\S+)
